
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wcs_base_equip")]
    public class BaseEquip
    {
        [Column("endStationCode")]
        public string endStationCode { get; set; }
        [Column("container_no")]
        public string containerNo { get; set; }

        [Column("empty_count")]
        public int? emptyCount { get; set; }

        [Column("agv_position_code")]
        public string agvPositionCode { get; set; }

        [Key]
        [Column("objid")]
        public long objid { get; set; }

        /// <summary>
        /// 所属仓库
        /// </summary>
        [Column("warehouse_id")]
        public long? warehouseId { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        [Column("equip_no")]
        public string equipNo { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        [Column("equip_name")]
        public string equipName { get; set; }

        /// <summary>
        /// 设备类型 1输送线 2 提升机 3 分拣输送线
        /// </summary>
        [Column("equip_type")]
        public int? equipType { get; set; }

        /// <summary>
        /// IP地址
        /// </summary>
        [Column("server_ip")]
        public string serverIp { get; set; }

        /// <summary>
        /// 端口
        /// </summary>
        [Column("server_port")]
        public int? serverPort { get; set; }

        /// <summary>
        /// 设备状态,字典表
        /// </summary>
        [Column("equip_status")]
        public int? equipStatus { get; set; }

        /// <summary>
        /// 所属楼层
        /// </summary>
        [Column("floor_no")]
        public int? floorNo { get; set; }

        /// <summary>
        /// 是否可用  0:不可用  1:可用
        /// </summary>
        [Column("use_flag")]
        public int? useFlag { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_time")]
        public DateTime? createTime { get; set; }

        /// <summary>
        /// 更新者
        /// </summary>
        [Column("update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [Column("update_time")]
        public DateTime? updateTime { get; set; }

        /// <summary>
        /// 备用字段1
        /// </summary>
        [Column("ud1")]
        public string ud1 { get; set; }

        /// <summary>
        /// 备用字段2
        /// </summary>
        [Column("ud2")]
        public string ud2 { get; set; }

        /// <summary>
        /// 备用字段3
        /// </summary>
        [Column("ud3")]
        public string ud3 { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Column("remark")]
        public string remark { get; set; }
        [Column("is_out")]
        public int? IsOut { get; set; }
    }
}

